diff -Naur mutt-1.2/curs_lib.c mutt-1.2-p/curs_lib.c
--- mutt-1.2/curs_lib.c	Fri Mar  3 13:10:07 2000
+++ mutt-1.2-p/curs_lib.c	Sun Mar 11 21:57:55 2001
@@ -144,8 +144,16 @@
   unsigned char *no = (unsigned char *) _("no");
   
   CLEARLINE(LINES-1);
-  printw("%s ([%c]/%c): ", msg, def ? *yes : *no,
-	 def ? *no : *yes);
+  if( option( OPTSHOWALT ) )
+  {
+   	printw("%s ([%c]/%c): ", msg, def ? *AltYes : *AltNo,
+	 	def ? *AltNo : *AltYes);
+  }
+  else
+  {
+  	printw("%s ([%c]/%c): ", msg, def ? *yes : *no,
+	 	def ? *no : *yes);
+  }
   FOREVER
   {
     mutt_refresh ();
@@ -153,12 +161,12 @@
     if (ch.ch == -1) return(-1);
     if (CI_is_return (ch.ch))
       break;
-    else if (tolower(ch.ch) == tolower(*yes))
+    else if (tolower(ch.ch) == tolower(*yes) || tolower(ch.ch) == tolower(*AltYes) )
     {
       def = 1;
       break;
     }
-    else if (tolower(ch.ch) == tolower(*no))
+    else if (tolower(ch.ch) == tolower(*no) || tolower(ch.ch) == tolower(*AltNo) )
     {
       def = 0;
       break;
diff -Naur mutt-1.2/globals.h mutt-1.2-p/globals.h
--- mutt-1.2/globals.h	Fri Mar  3 13:10:08 2000
+++ mutt-1.2-p/globals.h	Sun Mar 11 21:50:27 2001
@@ -30,6 +30,8 @@
 
 WHERE char *AliasFile;
 WHERE char *AliasFmt;
+WHERE char *AltYes;
+WHERE char *AltNo;
 WHERE char *AttachSep;
 WHERE char *Attribution;
 WHERE char *AttachFormat;
diff -Naur mutt-1.2/init.h mutt-1.2-p/init.h
--- mutt-1.2/init.h	Wed Apr 26 11:32:40 2000
+++ mutt-1.2-p/init.h	Sun Mar 11 21:51:10 2001
@@ -151,6 +151,18 @@
   ** you receive mail.  This affects Mutt's idea about messages from you
   ** and addressed to you.
   */
+  { "alt_yes", DT_STR, R_NONE, UL &AltYes, UL "y" },
+  /*
+  ** .pp
+  ** Alternative key to answer yes to questions. Useful when using
+  ** non-english locales. Also see ``$$alt_no'' and ``$$show_alt''.
+  */
+  { "alt_no", DT_STR, R_NONE, UL &AltNo, UL "n" },
+  /*
+  ** .pp
+  ** Alternative key to answer no to questions. Useful when using
+  ** non-english locales. Also see ``$$alt_no'' and ``$$show_alt''.
+  */
   { "arrow_cursor",	DT_BOOL, R_BOTH, OPTARROWCURSOR, 0 },
   /*
   ** .pp
@@ -1752,6 +1764,12 @@
   ** .pp
   ** Command to use when spawning a subshell.  By default, the user's login
   ** shell from /etc/passwd is used.
+  */
+  { "show_alt",     DT_BOOL, R_NONE, OPTSHOWALT, 0 },
+  /*
+  ** .pp
+  ** If set, possible answers in questions will be shown as ``$$alt_yes''/``$$alt_no''
+  ** instead of locale dependant.
   */
   { "sig_dashes",	DT_BOOL, R_NONE, OPTSIGDASHES, 1 },
   /*
diff -Naur mutt-1.2/mutt.h mutt-1.2-p/mutt.h
--- mutt-1.2/mutt.h	Wed Apr 26 11:32:40 2000
+++ mutt-1.2-p/mutt.h	Sun Mar 11 21:52:18 2001
@@ -403,8 +403,8 @@
 #endif
 
 
-
-
+  OPTSHOWALT,
+  
   OPTMAX
 };
 
